Support » Plugin: Booking Calendar » Works – but multi-language support has been cut off

  • Over time, they have cut-off the multi-language support from the free version.
    Affecting the plugin’s functionality for multi-lingual websites.

    Can’t say I’m happy about this “upgrade”.

    Apart from that – the plugin works fine.
    But will try to find an alternative that supports multi-lingual functionality in free version.

    Update: last update fixed the problem – so changing the rating to the (now deserved) 5 stars.

    • This topic was modified 1 month, 1 week ago by Bike Gremlin. Reason: Update fixed the problem(s)
Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Author wpdevelop

    (@wpdevelop)

    Hello.
    Basically you can have the multi languages configuration in the Booking Calendar Free version, as well.
    For example, configuration of form labels at the Booking > Settings > Form page can Be look like this:

    First Name[lang=de_DE]Vorname

    Please check more here https://wpbookingcalendar.com/faq/several-languages/

    Kind Regards. Bk

    It was configured that way, but it no longer works.
    It used to work, but has stopped.
    Using Polylang and a 2-language website.

    Plugin Author wpdevelop

    (@wpdevelop)

    Hello.
    Booking Calendar require that the translation plugin have changed locale at the front-end side.
    As far as I know polylang does not change locale at at the front end side, and you are having this issue.
    Try to test it with qTranslate or wpml plugins.
    Kind Regards.

    Thanks, will do.

    It used to work with Polylang.

    Inspecting page source shows this for the English page version:

    <meta property=”og:locale” content=”en_GB” />

    Plugin Author wpdevelop

    (@wpdevelop)

    Hello.
    Also please note, the default locale for the English language in the Booking Calendar plugin is en_US.

    And we was making additional improvement for ability to use Polylang (its will be available in next update of Booking Calendar plugin).
    Currently you can make this small fix in plugin source:

    Please open this file ../{Booking Calendar Folder}/core/wpbc-translation.php

    ( you can check how to edit files in WordPress menu in this article https://wpbookingcalendar.com/faq/how-edit-file-in-wp-menu/ )

    then find this code:


    if ( version_compare( POLYLANG_VERSION, '2.6.5', '<' ) ) {

    and replace it to this code:


    if (
    ( version_compare( POLYLANG_VERSION, '2.6.5', '<' ) )
    || ( version_compare( POLYLANG_VERSION, '2.7.1', '>' ) )
    ) {

    Kind Regards.

    Seems to have been fixed with the last update.
    So changing the rating to the (deserved) 5 stars.

    Plugin Author wpdevelop

    (@wpdevelop)

    Thank you.

Viewing 7 replies - 1 through 7 (of 7 total)
  • You must be logged in to reply to this review.